> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> Lists all users assigned to the project.



## OpenAPI

````yaml /openapi/management.json get /management/v1/projects/{projectId}/users
openapi: 3.0.1
info:
  title: Voucherify API - Management
  version: v2018-08-01
  description: >-
    Voucherify promotion engine REST API. Please see
    https://docs.voucherify.io/docs for more details.
  contact:
    name: Voucherify Team
    url: https://www.voucherify.io/contact-support
    email: support@voucherify.io
  termsOfService: https://www.voucherify.io/legal/subscription-agreement
  license:
    name: MIT
    url: https://github.com/voucherifyio/voucherify-js-sdk/blob/main/LICENSE
servers:
  - url: https://{cluster}.voucherify.io
    description: Base URL
    variables:
      cluster:
        default: api
        enum:
          - api
          - us1.api
          - as1.api
          - download
          - us1.download
          - as1.download
security: []
paths:
  /management/v1/projects/{projectId}/users:
    parameters:
      - schema:
          $ref: '#/components/schemas/ParameterProjectId'
        in: path
        name: projectId
        description: Provide the unique identifier of the project.
        required: true
    get:
      tags:
        - Management
      summary: List Users
      description: Lists all users assigned to the project.
      operationId: list-users
      parameters: []
      responses:
        '200':
          description: Returns the list of all the users assigned to the project.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManagementProjectsUsersListResponseBody'
              examples:
                Example:
                  value:
                    object: list
                    data_ref: data
                    data:
                      - id: user_FgEAjOw6riObJdy81s2yZXdqZNiAV1pM
                        login: name@youremaildomain.com
                        email: name@youremaildomain.com
                        first_name: Sammy
                        last_name: Jones
                        projects:
                          proj_9KeAhZB1: USER
                          proj_npnFzPr9: USER
                          proj_pEP3NO9s: USER
                          proj_zsPdrUIw: ADMIN
                        is_owner: false
                      - id: user_11sYvPrOj3XE573FO1cAzzk1p4k92wLL
                        login: name@youremaildomain.com
                        email: name@youremaildomain.com
                        first_name: Alex
                        last_name: Smith
                        projects:
                          proj_3CNHbOe0: ADMIN
                        is_owner: true
                    total: 2
        '401':
          description: Returns an error if an invalid token was provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Unauthorized:
                  value:
                    code: 401
                    message: Unauthorized
                    key: unauthorized
        '402':
          description: >-
            Returns an error if the current plan does not include the Management
            API feature.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorPaymentRequired'
              examples:
                Example:
                  value:
                    code: 402
                    message: Payment required
                    details: >-
                      Your current plan does not include a feature required to
                      perform this operation.
                    key: missing_required_feature
      security:
        - X-Management-Id: []
          X-Management-Token: []
components:
  schemas:
    ParameterProjectId:
      type: string
      example: proj_TrlkLiH4
    ManagementProjectsUsersListResponseBody:
      type: object
      title: Management Projects User List Response Body
      description: Object containing a list of users assigned to the project.
      properties:
        object:
          type: string
          default: list
          description: >-
            The type of the object represented by JSON. This object stores
            information about the users in a dictionary.
          enum:
            - list
        data_ref:
          type: string
          default: data
          description: >-
            Identifies the name of the attribute that contains the array of user
            objects.
          enum:
            - data
        data:
          type: array
          description: Array of user objects.
          items:
            $ref: '#/components/schemas/User'
        total:
          type: integer
          description: The total number of users.
      required:
        - object
        - data_ref
        - data
        - total
    Error:
      title: Error Object
      type: object
      description: Error details
      properties:
        code:
          type: integer
          description: Error's HTTP status code.
        key:
          type: string
          description: Short string describing the kind of error which occurred.
        message:
          type: string
          description: A human-readable message providing a short description of the error.
        details:
          type: string
          description: A human-readable message providing more details about the error.
        request_id:
          type: string
          example: v-0a885062c80375740f
          description: >-
            This ID is useful when troubleshooting and/or finding the root cause
            of an error response by our support team.
        resource_id:
          type: string
          description: >-
            Unique resource ID that can be used in another endpoint to get more
            details.
          example: rf_0c5d710a87c8a31f86
        resource_type:
          type: string
          description: The resource type.
          example: voucher
        error:
          type: object
          description: Includes additional information about the error.
          properties:
            message:
              type: string
              description: The message configured by the user in a validation rule.
      required:
        - code
        - message
    ErrorPaymentRequired:
      title: Payment Required Error
      type: object
      description: 'Error: Payment required - the current plan does not include the feature.'
      properties:
        code:
          type: integer
          description: Error's HTTP status code.
        message:
          type: string
          description: A human-readable message providing a short description of the error.
        details:
          type: string
          description: A human-readable message providing more details about the error.
        key:
          type: string
          description: Short string describing the kind of error which occurred.
      required:
        - code
        - message
        - details
        - key
    User:
      type: object
      title: User
      description: Details about the user.
      properties:
        id:
          type: string
          description: >-
            The unique identifier of the user who has been assigned to the
            project.
        login:
          type: string
          description: The login data of the user who has been assigned to the project.
        email:
          type: string
          description: The email address of the user who has been assigned to the project.
        first_name:
          type: string
          description: The first name of the user who has been assigned to the project.
        last_name:
          type: string
          description: The last name of the user who has been assigned to the project.
        projects:
          type: object
          description: >-
            Lists key-value pairs, where the key is the project to which the
            user is assigned. The value is the role assigned in a given project.
            The predefined Voucherify roles are: `ADMIN`, `USER`, `VIEWER`,
            `MERCHANT`, `USER_RESTRICTED` (for the Areas and Stores, an
            Enterprise feature).
          additionalProperties:
            type: string
            description: Returns the role the user has in the project.
        is_owner:
          type: boolean
          description: >-
            Determines if the user is the owner for the organization in
            Voucherify.
      required:
        - id
        - login
        - email
        - first_name
        - last_name
        - projects
        - role
        - is_owner
  securitySchemes:
    X-Management-Id:
      type: apiKey
      name: X-Management-Id
      in: header
    X-Management-Token:
      type: apiKey
      name: X-Management-Token
      in: header

````